(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define('element/locale/fi', ['module', 'exports'], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, mod.exports);
    global.ELEMENT.lang = global.ELEMENT.lang || {}; 
    global.ELEMENT.lang.fi = mod.exports;
  }
})(this, function (module, exports) {
  'use strict';

  exports.__esModule = true;
  exports.default = {
    el: {
      colorpicker: {
        confirm: 'OK',
        clear: 'Tyhjennä'
      },
      datepicker: {
        now: 'Nyt',
        today: 'Tänään',
        cancel: 'Peruuta',
        clear: 'Tyhjennä',
        confirm: 'OK',
        selectDate: 'Valitse päivä',
        selectTime: 'Valitse aika',
        startDate: 'Aloituspäivä',
        startTime: 'Aloitusaika',
        endDate: 'Lopetuspäivä',
        endTime: 'Lopetusaika',
        prevYear: 'Previous Year', // to be translated
        nextYear: 'Next Year', // to be translated
        prevMonth: 'Previous Month', // to be translated
        nextMonth: 'Next Month', // to be translated
        year: '',
        month1: 'tammikuu',
        month2: 'helmikuu',
        month3: 'maaliskuu',
        month4: 'huhtikuu',
        month5: 'toukokuu',
        month6: 'kesäkuu',
        month7: 'heinäkuu',
        month8: 'elokuu',
        month9: 'syyskuu',
        month10: 'lokakuu',
        month11: 'marraskuu',
        month12: 'joulukuu',
        // week: 'week',
        weeks: {
          sun: 'su',
          mon: 'ma',
          tue: 'ti',
          wed: 'ke',
          thu: 'to',
          fri: 'pe',
          sat: 'la'
        },
        months: {
          jan: 'tam',
          feb: 'hel',
          mar: 'maa',
          apr: 'huh',
          may: 'tou',
          jun: 'kes',
          jul: 'hei',
          aug: 'elo',
          sep: 'syy',
          oct: 'lok',
          nov: 'mar',
          dec: 'jou'
        }
      },
      select: {
        loading: 'Lataa',
        noMatch: 'Ei vastaavia tietoja',
        noData: 'Ei tietoja',
        placeholder: 'Valitse'
      },
      cascader: {
        noMatch: 'Ei vastaavia tietoja',
        loading: 'Lataa',
        placeholder: 'Valitse'
      },
      pagination: {
        goto: 'Mene',
        pagesize: '/sivu',
        total: 'Yhteensä {total}',
        pageClassifier: ''
      },
      messagebox: {
        title: 'Viesti',
        confirm: 'OK',
        cancel: 'Peruuta',
        error: 'Virheellinen syöte'
      },
      upload: {
        deleteTip: 'press delete to remove', // to be translated
        delete: 'Poista',
        preview: 'Esikatsele',
        continue: 'Jatka'
      },
      table: {
        emptyText: 'Ei tietoja',
        confirmFilter: 'Vahvista',
        resetFilter: 'Tyhjennä',
        clearFilter: 'Kaikki',
        sumText: 'Sum' // to be translated
      },
      tree: {
        emptyText: 'Ei tietoja'
      },
      transfer: {
        noMatch: 'Ei vastaavia tietoja',
        noData: 'Ei tietoja',
        titles: ['List 1', 'List 2'], // to be translated
        filterPlaceholder: 'Enter keyword', // to be translated
        noCheckedFormat: '{total} items', // to be translated
        hasCheckedFormat: '{checked}/{total} checked' // to be translated
      }
    }
  };
  module.exports = exports['default'];
});